# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/samsung,s6e8aa5x01-ams561ra01.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Samsung AMS561RA01 panel with S6E8AA5X01 controller

maintainers:
  - Kaustabh Chakraborty <kauschluss@disroot.org>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: samsung,s6e8aa5x01-ams561ra01

  reg:
    maxItems: 1

  vdd-supply:
    description: core voltage supply

  vci-supply:
    description: voltage supply for analog circuits

  reset-gpios: true

required:
  - compatible
  - reg

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "samsung,s6e8aa5x01-ams561ra01";
            reg = <0>;

            vdd-supply = <&panel_vdd_reg>;
            vci-supply = <&panel_vci_reg>;

            reset-gpios = <&gpd3 4 GPIO_ACTIVE_HIGH>;
        };
    };

...
